@import "config";
@import "media";


.news-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    --gap: #{$space * 5};
    gap: var(--gap);

    @include small-desktop {
        justify-content: space-evenly;
    }
}

.person-vote-card {
    flex-basis: calc(25% - var(--gap));
    margin-bottom: $space * 15;
    display: flex;
    flex-direction: column;
    color: $color-text-base;

    @include small-desktop {
        flex-basis: calc(50% - var(--gap));
    }

    @include phone {
        flex-basis: 100%;
    }

    a {
        color: inherit;
        display: block;
        text-decoration: none;
    }

    .person-vote-card-image-container {
        position: relative;

        .person-vote-card-image {
            width: 100%;
            height: auto;
            aspect-ratio: 3 / 3.4;
            //height: $space * 100;
            object-fit: cover;
            border-radius: $border-large-radius;
            background-color: #D9D9D9;
        }

        .person-vote-card-category {
            position: absolute;
            top: $space * 2.5;
            left: $space * 2.5;
            background-color: $color-input-background;
            padding: $space * 1.5 $space * 3;
            border-radius: $space * 4;
            line-height: 1;
            color: #FFFFFF;
        }

        .person-lightened {
            position: absolute;
            bottom: $space * 2.5;
            left: $space * 2.5;
            right: $space * 2.5;
            display: flex;
            justify-content: space-between;

            .person-lightened-text-container {
                background-color: $color-accent;
                color: $color-text-base;
                border-radius: $border-small-radius;
                padding: $space * 3 $space * 7;
            }

            .person-lightened-img {
                width: $space * 8;
                height: $space * 8;
            }
        }
    }

    .person-vote-card-name-container {
        margin: $space * 5 0;
        font-size: $font-size-xlarge;

        .person-vote-name {
            min-height: 2.4em;
        }
    }

    .person-vote-card-button-container {
        display: flex;
        flex-direction: column;
        gap: $space * 2.5;
    }

    .person-vote-card-button-details {
        @extend %button-light;
    }

    .person-vote-card-button-vote {
        @extend %button-secondary;
    }

    .person-vote-card-button-accept {

    }

    .person-vote-card-button-toedit {

    }

    .person-vote-card-button-decline {

    }
}

.filters {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: $space * 5;
    margin: $space * 20 0;

    @include tablet {
        flex-direction: column-reverse;
    }

    .category-buttons {
        .category-buttons-list {
            margin: 0;
            padding: 0;
            list-style: none;
            display: flex;
            gap: $space * 5;

            li {
                padding: 0;

                input[type="radio"] {
                    visibility: hidden;
                    width: 0;
                    height: 0;
                    padding: 0;
                    margin: 0;
                    border: 0 none;

                    &:checked + label {
                        background-color: $color-text-base;
                        color: $color-body-background;
                    }
                }

                label {
                    @extend %button;
                    @extend %button-light;

                    border: 1px solid $color-text-base;
                    font-size: $font-size-large;
                    padding: $space * 2.5 $space * 8;
                    border-radius: $border-small-radius;
                }
            }
        }
    }

    .search-string {
        display: flex;
        align-items: center;
        flex-grow: 1;
        max-width: 40%;

        @include tablet {
            width: 80%;
            max-width: 80%;
        }

        @include phone {
            width: 100%;
            max-width: 100%;
        }

        input:not([name="del_filter"]), {
            margin: 0;
            padding: 0 $space * 2.5;
            border: 0 none;
            line-height: $space * 10;
            border-top-right-radius: 0;
            border-bottom-right-radius: 0;
            flex-grow: 1;
        }

        [name="del_filter"] {
            margin-left: $space * 4;
        }

        svg {
            padding: $space * 2;
            border-top-left-radius: 0;
            border-bottom-left-radius: 0;
        }
    }
}

@keyframes move-left {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-50%);
    }
}

.running-textstring-container {
    background-color: #FFFFFF;
    color: $color-accent;
    font-size: $font-size-xlarge;
    overflow: hidden;
    text-wrap: nowrap;
    margin: 0 $space * -10;
    padding-top: $space;
    text-transform: uppercase;
    line-height: 2;

    .running-textstring {
        animation: move-left 20s linear infinite alternate;
    }

    .running-textstring-text {
        margin-right: $space * 2;

        &:after {
            content: '\b7';
            margin-left: $space * 2;
            font-size: 135px;
            line-height: 0;
            vertical-align: middle;
        }
    }
}

.voting-miniapp-container {
    margin: $space * 20 auto;

    .voting-miniapp {
        background-color: $color-accent;
        position: relative;
        padding: $space * 10;
        border-radius: $border-large-radius;

        .voting-miniapp-icon-container {
            position: absolute;
            top: $space * 4;
            right: $space * 4;
        }

        .voting-miniapp-content {
            font-size: $font-size-xlarge;
        }
    }
}
